# Instalación

La forma base de integración es mediante un script. Este script carga recursos necesarios para renderizar el widget los cuales se componen de HTML, CSS y Javascript.

## Script de integración

{% hint style="info" %}
No somos compatibles con [SRI (Subresource Integrity)](https://developer.mozilla.org/en-US/docs/Web/Security/Subresource_Integrity), de lo contrario no podríamos ofrecer actualizaciones y mejoras de forma constante los cuales son cada semana.
{% endhint %}

{% embed url="<https://www.loom.com/share/68ea3f599d9f4c7cad50f126cd5b37cd?sid=cb16d1fa-f5c2-4cc1-b206-5d5477afc017>" %}

{% tabs %}
{% tab title="HTML" %}

```markup
<script src="https://assets.videsk.io/js/videsk-widget.min.js" videsk-token="REPLACE_TOKEN" async></script>
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const script = document.createElement("script");
script.src = "https://assets.videsk.io/js/videsk-widget.min.js";
script.setAttribute("videsk-token", "REPLACE_TOKEN");
document.body.appendChild(script);
```

{% endtab %}
{% endtabs %}

Puedes acceder a la documentación de nuestra API en el siguiente enlace:

{% content-ref url="api" %}
[api](https://docs.videsk.io/es-developers/widgets/api)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videsk.io/es-developers/widgets/integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
